<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'CropInfinityHero',
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <section class="sales-hero slp-mb-96">
    <SlpContainer class="slp-h-100">
      <SlpRow class="slp-h-100">
        <SlpColumn
          :cols="7"
          class="slp-flex slp-flex-column slp-justify-content-center"
        >
          <SlpTypography
            tag="h1"
            variant="heading1-bold"
            class="slp-mt-48 slp-mt-md-0 slp-mb-16"
            data-aos="zoom-in-up"
            data-aos-duration="500"
            >{{ data.title }}
          </SlpTypography>
          <SlpTypography
            v-if="data.subtitle"
            tag="p"
            variant="heading5"
            data-aos="zoom-in-up"
            data-aos-duration="1000"
            >{{ data.subtitle || data }}
          </SlpTypography>
          <SlpButton
            v-if="data.primary_btn"
            variant="primary"
            class="slp-mt-32 primary-btn"
            :data-ga-name="
              data.primary_btn.data_ga_name || data.primary_btn.dataGaName
            "
            :data-ga-location="
              data.primary_btn.data_ga_location ||
              data.primary_btn.dataGaLocation
            "
            :href="data.primary_btn.url || data.primary_btn.externalUrl"
            >{{ data.primary_btn.text }}
            <SlpIcon
              v-if="data.primary_btn.iconName || data.primary_btn.icon"
              :name="data.primary_btn.iconName || data.primary_btn.icon.name"
              :variant="
                data.primary_btn.iconVariant || data.primary_btn.icon.variant
              "
              class="slp-ml-8"
            />
          </SlpButton>
        </SlpColumn>
        <div class="sales-hero__image-container">
          <div
            class="sales-hero__image slp-my-32 slp-my-md-64 slp-ml-32 slp-ml-md-64"
            data-aos="zoom-in-up"
            data-aos-duration="1000"
          >
            <nuxt-img
              src="/nuxt-images/solutions/infinity-icon-cropped.svg"
              alt="Image: Infinity"
              loading="lazy"
              format="webp"
              quality="99"
            />
          </div>
          <div class="sales-hero__background"></div>
        </div>
      </SlpRow>
    </SlpContainer>
  </section>
</template>

<style scoped lang="scss">
.slp-h-100 {
  height: 100%;
}

.sales-hero {
  overflow: hidden;
  position: relative;
  height: 30rem;

  @media (min-width: $breakpoint-lg) {
    height: 22rem;
  }

  &__image-container {
    position: absolute;
    z-index: -1;
    left: 0;

    @media (min-width: $breakpoint-md) {
      left: 40%;
    }
  }

  &__image {
    display: flex;
    justify-content: left;
    align-items: center;

    @media (max-width: $breakpoint-md) {
      position: absolute;
      top: 18rem;
    }

    img {
      width: 130vw;

      @media (min-width: $breakpoint-md) {
        width: 69vw;
        min-width: 69vw;
      }

      @media (min-width: $breakpoint-lg) {
        width: 65vw;
        min-width: 65vw;
      }
    }
  }

  &__background {
    position: absolute;
    z-index: -1;
    top: 0;
    background-color: $color-surface-800;
    left: 0;
    height: 40rem;
    width: 100vw;

    @media (min-width: $breakpoint-md) {
      left: 35%;
      width: 70vw;
      height: 100%;
    }

    @media (min-width: $breakpoint-lg) {
      left: 15%;
    }
  }

  .primary-btn {
    width: fit-content;

    @media (max-width: $breakpoint-lg) {
      width: 100%;
      justify-content: center;
    }
  }
}
</style>
